Subject: Re: bug#19438: 24.4; system-name bad cache

From: Paul Eggert <[email-masked]>
Date: Fri, 26 Dec 2014 14:16:48 -0800

Leo Liu wrote:
> Why not get rid of the variable system-name? It seems what it provides
> can be easily achieved without it.

It's documented so we shouldn't just remove it; we'd need to mark it as obsolescent.

Its documented behavior is "you can set the variable @code{system-name} in case 
Emacs is confused about the name of your system".  I've never found this feature 
to be useful, though I understand it was useful for others long ago.  Perhaps 
some people still find it useful?  Anyway, if there's consensus to mark the 
variable as obsolescent I can prepare a patch along those lines.